Subject: Posh watches at tiny prices

From: " Urn-nid-owner" <[email-masked] >
Date: Wed, 18 Jul 2007 15:25:17 +0300

With our top-quality luxury replica timepieces you will always be on time!
The only thing that our watches yield to original ones in is the price!
Pick up a perfect chronometer for you out of our huge stock now!
http://proroma.com